Skip to main content

PATCH /kv/rest/v1/lists/{key} REST API Endpoint

Adds and/or removes items from an existing Key-Value Store list in a single request. Provide addItems to insert new entries and removeItems to delete existing ones. This is the most efficient way to perform batch updates on a list, as it handles both additions and removals in one API call. Items are case-sensitive.

Updated on
Jun 26, 2026

Path Parameters

key
string
REQUIRED

The unique key associated with the list

Body Parameters

addItems
array

An array of items to be added to the existing Key-Value Store list

removeItems
array

An array of items to be removed from the existing Key-Value Store list

Returns

code
number

Response status code

msg
string

Response message

data
null

No additional data

Request
Don't have an account yet?
Create your Quicknode endpoint in seconds and start building
Get started for free